%global project KDocker

Name:    kdocker
Summary: Dock any application in the system tray
Version: 4.9
Release: 1%{?dist}

License: GPLv2+
URL:     https://github.com/user-none/%{project}
Source0: %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

# Provide project manual "man page"
Patch0:  %{url}/commit/b7653a59160a5043d57a9fbc815479a1ea03f70e.patch

BuildRequires: qt4-devel qtsingleapplication-devel
BuildRequires: libXpm-devel libXmu-devel
BuildRequires: desktop-file-utils

Requires:      hicolor-icon-theme


%description
%{project} will help you dock any application in the system tray. This means you
can dock OpenOffice, XMMS, Firefox, Thunderbolt, Eclipse, anything! Just point
and click. Works for LXQT/KDE and GTK/GNOME (In fact it should work for most
modern window managers that support NET WM Specification for instance).

All you need to do is start %{project} and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to disappear from the task bar.


%prep
%setup -qn%{project}-%{version}
%patch0 -p1

# unbundle qtsingleapplication
rm -fr 3rdparty


%build
# be nice to epel's qmake
%{?qmake_qt4:%{qmake_qt4}}%{!?qmake_qt4:%{_qt4_qmake}} CONFIG+=qtsingleapplication
make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/man1
cp -a helpers/%{name}.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
mv %{buildroot}%{_datadir}/pixmaps/*.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
rm -fr %{buildroot}%{_datadir}/pixmaps
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  --add-category="Qt" \
  helpers/%{name}.desktop 


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license COPYING
%doc AUTHORS BUGS CREDITS ChangeLog README.md TODO VERSION
%{_mandir}/man*/%{name}*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_datadir}/icons/hicolor/128x128/apps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Mar 28 2015 Raphael Groner <%{project}s.rg@smart.ms> - 4.9-1
- upstream moved to GitHub
- new version v4.9
- still use Qt4
- but support for Qt5 conflicts with our qtsingleapplication R: qt4 (rhbz#1206841)
- remove help2man in favor of upstream manpage

* Wed Feb 25 2015 Raphael Groner <%{project}s.rg (AT) smart.ms> - 4.8-2
- fix review issues

* Sun Feb 22 2015 Raphael Groner <%{project}s.rg (AT) smart.ms> - 4.8-1
- unretire package
- new upstream release v4.8

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedora%{project}.org> - 4.3-3
- Rebuilt for https://fedora%{project}.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 25 2010 Thomas Janssen <thomasj@fedora%{project}.org> 4.3-2
- added BRs

* Wed Jan 20 2010 Rex Dieter <rdieter@fedora%{project}.org> - 4.3-1
- kdocker-4.3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedora%{project}.org> - 1.3-13
- Rebuilt for https://fedora%{project}.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedora%{project}.org> - 1.3-12
- Rebuilt for https://fedora%{project}.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 Rex Dieter <rdieter@fedora%{project}.org> 1.3-11
- BR: qt3-devel

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedora%{project}.org> - 1.3-10
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedora%{project}.org> 1.3-9
- License: GPLv2+
- respin (BuildID)

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-8
- fc6 respin

* Wed May 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-7
- rework -paths patch

* Fri Apr 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-6
- --vendor=""

* Fri Mar 10 2006 Rex Dieter <rexdieer[AT]users.sf.net> 1.3-5
- build failure, useless -debuginfo (#180103)

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 
- fc5: gcc/glibc respin

* Sat Jan 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-4
- .desktop: fix path to app-icon (#178531)

* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.3-3
- remove dup'd docs
- %%lang'ify i18n bits

* Mon Oct 31 2005 Rex Dieter 1.3-2
- use desktop-file-install 

* Mon Oct 31 2005 Rex Dieter 1.3-1
- cleanup for Extras

* Tue Feb 15 2005 Rex Dieter 1.3-0.1
- 1.3 (first try)
